Public Attributes | List of all members
_ll_qspi_init_t Struct Reference
Peripheral Driver » LL Driver » SPI » Structures » SPI Exported init structure

QSPI init structures definition. More...

`#include <gr55xx_ll_spi.h>`

## Public Attributes
uint32_t | transfer_direction
uint32_t | instruction_size
uint32_t | address_size
uint32_t | inst_addr_transfer_format
uint32_t | wait_cycles
uint32_t | data_size
uint32_t | clock_polarity
uint32_t | clock_phase
uint32_t | baud_rate
uint32_t | rx_sample_delay

## Detailed Description

QSPI init structures definition.

Definition at line 135 of file gr55xx_ll_spi.h.

## Member Data Documentation

## ◆ address_size

uint32_t _ll_qspi_init_t::address_size

Specifies the QSPI address width. This parameter can be a value of QSPI Address Size.

This feature can be modified afterwards using unitary function ll_spi_set_address_size().

Definition at line 147 of file gr55xx_ll_spi.h.

## ◆ baud_rate

uint32_t _ll_qspi_init_t::baud_rate

Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock. This parameter can be one even value between 2 and 65534, if the value is 0, the SCLK is disable.

Note
  The communication clock is derived from the master clock. The slave clock does not need to be set.

This feature can be modified afterwards using unitary function ll_spi_set_baud_rate_prescaler().

Definition at line 177 of file gr55xx_ll_spi.h.

## ◆ clock_phase

uint32_t _ll_qspi_init_t::clock_phase

Specifies the clock active edge for the bit capture. This parameter can be a value of Clock Phase.

This feature can be modified afterwards using unitary function ll_spi_set_clock_phase().

Definition at line 172 of file gr55xx_ll_spi.h.

## ◆ clock_polarity

uint32_t _ll_qspi_init_t::clock_polarity

Specifies the serial clock steady state. This parameter can be a value of Clock Polarity.

This feature can be modified afterwards using unitary function ll_spi_set_clock_polarity().

Definition at line 167 of file gr55xx_ll_spi.h.

## ◆ data_size

uint32_t _ll_qspi_init_t::data_size

Specifies the SPI data width. This parameter can be a value of Datawidth.

This feature can be modified afterwards using unitary function ll_spi_set_data_size().

Definition at line 162 of file gr55xx_ll_spi.h.

## ◆ inst_addr_transfer_format

uint32_t _ll_qspi_init_t::inst_addr_transfer_format

Specifies the QSPI instruction and address transfer format. This parameter can be a value of QSPI Address and Instruction Transfer Format.

This feature can be modified afterwards using unitary function ll_spi_set_add_inst_transfer_format().

Definition at line 152 of file gr55xx_ll_spi.h.

## ◆ instruction_size

uint32_t _ll_qspi_init_t::instruction_size

Specifies the QSPI instruction width. This parameter can be a value of QSPI Instruction Size.

This feature can be modified afterwards using unitary function ll_spi_set_instruction_size().

Definition at line 142 of file gr55xx_ll_spi.h.

## ◆ rx_sample_delay

uint32_t _ll_qspi_init_t::rx_sample_delay

Specifies the RX sample delay. It is used to delay the sample of the RX input port. This parameter can be a number between 0 and 0x7

Definition at line 183 of file gr55xx_ll_spi.h.

## ◆ transfer_direction

uint32_t _ll_qspi_init_t::transfer_direction

Specifies the QSPI transfer or receive mode. This parameter can be a value of Transfer Mode.

This feature can be modified afterwards using unitary function ll_spi_set_transfer_direction().

Definition at line 137 of file gr55xx_ll_spi.h.

## ◆ wait_cycles

uint32_t _ll_qspi_init_t::wait_cycles

Specifies the QSPI dummy clock. This parameter can be one of the following values: 0 ~ 31.

This feature can be modified afterwards using unitary function ll_spi_set_wait_cycles().

Definition at line 157 of file gr55xx_ll_spi.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_spi.h